package com.cool.store.enums.close;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * <p>
 * 闭店材料状态 枚举类
 * </p>
 *
 * @author wangff
 * @since 2025/11/26
 */
@Getter
@AllArgsConstructor
public enum FileStatusEnum {

    NOT_UPLOAD(0, "未上传"),
    QUALIFIED(1, "合格"),
    UNQUALIFIED(2, "不合格"),
    UPLOADED(3, "已上传"),
    APPROVING(4, "审批中"),
    MODIFIED(5, "已修改"),
    ;

    private final Integer status;

    private final String desc;

    public static String getDescByStatus(Integer status) {
        for (FileStatusEnum value : FileStatusEnum.values()) {
            if (value.status.equals(status)) {
                return value.desc;
            }
        }
        return null;
    }
}
